#version 330

uniform mat4 mvMatrix;
uniform mat4 pMatrix;
uniform mat3 normalMatrix;
uniform vec3 spotDir[10];

in vec4 vVertex;
in vec3 vNormal;
in vec2 inTextCoords;

out vec3 spot[10];
out vec3 normal, vertex;
out vec2 textCoords;

void main(void) {
	normal = normalize(normalMatrix * vNormal);

	spot[0] = spotDir[0];
	spot[1] = spotDir[1];
	for(int i=2;i<10;i++) {
		spot[i] = normalMatrix * spotDir[i];
	}

	vertex = vec3(mvMatrix * vVertex);

	textCoords = inTextCoords;

	mat4 mvpMatrix;
	mvpMatrix = pMatrix * mvMatrix;
	gl_Position = mvpMatrix * vVertex;
}
